Bug 4689 - slow network transfer using tar to remote host
slow network transfer using tar to remote host
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: tar (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-24 12:25 EDT by Robert K. Moniot
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-13 22:44:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert K. Moniot 1999-08-24 12:25:00 EDT
I think this bug is actually in glibc or something similar,
rather than tar.  Prior to upgrading to RedHat 5.0, we saw
nice speedy transfers at 15-20 MB/min, afterward they
have slowed to about 3 MB/min.

The context is this: a SCSI 4-mm tape drive is located on
an Alpha OSF 4.0E host.  From that host we use ssh or rsh
(doesn't matter which for this problem) to connect to a
Linux host, which then runs tar with output to a filespec
of the form osfhost:/dev/tape.  The network is a 10 Mbs
ethernet (mix of thinwire and CAT-5 UTP).  The Linux hosts
have a variety of NICs: tlan, ewrk3, eepro100, so it does
not seem to be a driver problem.

The same OSF host can back up another OSF host or an AIX
host on the same local network at 15-20 MB/min, which is
close to the limit set by the tape speed.

We do not see any abnormal network-related messages in
the logs on either host during the transfer.

File transfers via NFS or ftp go at the normal high rate,
limited only by network bandwidth.  The slowness only
shows up when using tar.
Comment 1 Preston Brown 2000-01-13 22:44:59 EST
we never were able to duplicate this.  If you are still having problems, or the
problem was not solved in 6.1, please reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.